<script>
export default {
  name: 'BackgroundWrapper',
  props: {
    lightMode: {
      type: Boolean,
      required: false,
      default: false,
    },
  },
};
</script>

<template>
  <div class="background-wrapper" :class="{ light: lightMode }">
    <slot></slot>
  </div>
</template>

<style lang="scss" scoped>
.background-wrapper {
  background-color: #171321;
  color: #ffffff;
  background-image: url('/nuxt-images/why-gitlab/dark-background-left.svg'),
    url('/nuxt-images/why-gitlab/dark-background-right.svg');
  background-repeat: repeat-y, repeat-y;

  &.light {
    background-color: $color-surface-50;
    color: $color-text-300;
    background-image: url('/nuxt-images/why-gitlab/dark-background-left.svg'),
      url('/nuxt-images/why-gitlab/light-background-right.svg');

    @media screen and (max-width: $breakpoint-md) {
      background-image: null,
        url('/nuxt-images/why-gitlab/light-background-right.svg');
      background-position: 150px 3%;
    }
  }

  &:not(.light) {
    background-size:
      135vw auto,
      135vw auto;
    background-position:
      0% 125vh,
      100% 0%;
  }

  @media screen and (min-width: 1024px) {
    background-position:
      0% 100vh,
      100% 3%;
  }
}
</style>
